# 命令
## 1.命令是否安装
```
if ! [ -x "$(command -v git)" ]; then
echo 'Error: git is not installed.' >&2
exit 1
fi
```
## 2.上一条命令是否执行成功
> shell中使用符号`$?`来显示上一条命令执行的返回值,如果为`0`则代表执行成功,其他表示失败。
```
if [ $? -ne 0 ]; then
echo "failed"
else
echo "succeed"
fi
```